Page MenuHomePhabricator

References: Update the implementaiton to match new Parsoid output
Closed, ResolvedPublic1 Estimated Story Points

Description

In T88290, parsoid changed the way references are handled. Instead of keeping the reference content(the HTML corresponding to reference), now it is in references list.

The relevant change to test is https://gerrit.wikimedia.org/r/#/c/191593/

Event Timeline

Nikerabbit raised the priority of this task from to Needs Triage.
Nikerabbit updated the task description. (Show Details)
Nikerabbit added a subscriber: Nikerabbit.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 25 2015, 8:11 PM
Arrbee added a project: Blocked-on-Language.
Arrbee updated the task description. (Show Details)
Arrbee set Security to None.
Arrbee added a subscriber: Arrbee.
Arrbee edited a custom field.Feb 26 2015, 3:09 PM
KartikMistry moved this task from Backlog to In Progress on the LE-Sprint-83 board.Mar 2 2015, 5:24 AM

Now, we've issue like, http://en.wikipedia.beta.wmflabs.org/wiki/Chandrakant_Bakshi (en-de, using Yandex in Beta).

Cite error: Invalid <ref> tag; refs with no content must have a name; see the help page ().Cite error: Invalid <ref> tag; refs with no content must have a name; see the help page ().
santhosh claimed this task.Mar 5 2015, 5:01 AM
santhosh updated the task description. (Show Details)
santhosh added a subscriber: KartikMistry.

Change 194468 had a related patch set uploaded (by Santhosh):
References: Update the implementaiton to match new Parsoid output

https://gerrit.wikimedia.org/r/194468

santhosh renamed this task from Ensure CX handles changes in reference markup in parsoid to References: Update the implementaiton to match new Parsoid output.Mar 5 2015, 9:42 AM
santhosh triaged this task as High priority.
santhosh updated the task description. (Show Details)
santhosh moved this task from In Progress to In Review on the LE-Sprint-83 board.

To support old Ref format, we need to keep the current reference handling. To be addressed in follow up patch

Change 194468 merged by jenkins-bot:
References: Update the implementation to match new Parsoid output

https://gerrit.wikimedia.org/r/194468

Change 195543 had a related patch set uploaded (by Santhosh):
References: Support data-mw.body.html method also

https://gerrit.wikimedia.org/r/195543

Change 195543 merged by jenkins-bot:
References: Also support data-mw.body.html method

https://gerrit.wikimedia.org/r/195543

santhosh moved this task from In Review to Done on the LE-Sprint-83 board.Mar 11 2015, 5:55 AM
Arrbee closed this task as Resolved.Mar 11 2015, 6:00 AM